Package com.verisign.epp.codec.nv

## Enum EPPNameVerificationStatus

- java.lang.Object
- - java.lang.Enum<EPPNameVerificationStatus>
  - - com.verisign.epp.codec.nv.EPPNameVerificationStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPNameVerificationStatus>`

      public enum EPPNameVerificationStatus
      extends java.lang.Enum<EPPNameVerificationStatus>

  Name Verification (NV) statuses, which include the following possible values:
  - `PENDING_COMPLIANT` - The object verification is not complete and is pending.
  - `COMPLIANT` - The object is in compliance with the policy.
  - `NON_COMPLIANT` - The object is not in compliance with the policy.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMPLIANT` |
    `NON_COMPLIANT` |
    `PENDING_COMPLIANT` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPNameVerificationStatus` | `getStatus​(java.lang.String aString)` | Get the status enumerated value given the matching string.
    `java.lang.String` | `toString()` | Convert the enumerated `EPPNameVerificationStatus` value to a `String`.
    `static EPPNameVerificationStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPNameVerificationStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PENDING_COMPLIANT

          public static final EPPNameVerificationStatus PENDING_COMPLIANT

    - #### COMPLIANT

          public static final EPPNameVerificationStatus COMPLIANT

    - #### NON_COMPLIANT

          public static final EPPNameVerificationStatus NON_COMPLIANT

  - ### Method Detail

    - #### values

          public static EPPNameVerificationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPNameVerificationStatus c : EPPNameVerificationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPNameVerificationStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getStatus

          public static EPPNameVerificationStatus getStatus​(java.lang.String aString)

      Get the status enumerated value given the matching string.
      Parameters:
        `aString` - `EPPNameVerificationStatus` enumerated string to convert to an enumerated `EPPNameVerificationStatus` instance.
      Returns:
        Enumerated `EPPNameVerificationStatus` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aString` does not match an enumerated `EPPNameVerificationStatus` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `EPPNameVerificationStatus` value to a `String`.
      Overrides:
        `toString` in class `java.lang.Enum<EPPNameVerificationStatus>`